/* CSS Reset */

* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

body {
	font-family: 'Open Sans', sans-serif;
}

/* navbar */

nav {
	/* rem - root element's default font-size (16px) .8rem = 80% of 16px = 12.8px */
	/* it specifies which side you will add a padding */

	/* padding-left: 0.8rem;
	padding-right: 0.8rem;
	padding-top: 0.8rem;
	padding-bottom: 0.8rem; */

	padding: 0.8rem;
	margin-bottom: 2rem;
	border-bottom: 1px solid gray;
}

/* removes bullet points from the navbar */
nav > ul {
	list-style-type: none;
}

/* , - is a multiple selector for one css rule */

nav .nav, nav .nav-logo {
	margin: 0.5rem;
	display: inline;

	/* display: inline - allows us to change a block element into an inline element; */
}

/* Intro section */
#intro {
	padding-left: 10%;
	padding-right: 10%;
	/* % was used to make the page more responsive. So our padding on the left
	and right are now dependent on the width of the parent element. 
	*/
	padding-top: 2rem;
	padding-bottom: 3rem;
	text-align: center;

}	

#intro h2, #intro p{
	margin-bottom: 1rem;
}

#intro button{
	color: white;
	/* font-weight helps determine the thickness of text */
	font-weight: bold;
	background-color: #c2195b;
	border-radius: 25px;
	font-size: 1rem;
	padding: 1rem;
}

/* Succeed-info section */

#succeed-info {
	padding-left: 10%;
	padding-right: 10%;
	padding-top: 2rem;
	padding-bottom: 3rem;
}

#succeed-info h2 {
	margin-bottom: 1rem;
	text-align: center;
}

#succeed-info h3 {
	margin-bottom: 1rem;
	text-align: center;
}

#succeed-info .card{
	/* display: inline-block - this property is used to display an element as an 
	inline level block container */

	display: inline-block;
	vertical-align: top;

	/* min-height: means you are able to add or define a minimum height for elements;
	Unlike the height propert which is a fixed value. This property allows the element
	to adjust it's height when the context exceeds it or when the content does not reach the
	the height that we set.

	This is a good practice so you can have elements with the same height */

	min-height: 175px;
	width: 30%;
	margin-left: 0.5rem;
	margin-right: 0.5rem;
	/* border: 1px solid gray; */
}

/* pre-footer section */
#pre-footer {
	padding: 1rem;
	background-color: #002540;
	color: white;
}

#pre-footer > div {
	display: inline-block;
	width: 20%;
	vertical-align: top;
}

#pre-footer > div > * {
	margin-top: 0.3rem;
	margin-bottom: 0.3rem;
}

/* footer */
footer {
	padding: 0.7rem;
}
footer span{
	margin-left: 0.5rem;
	margin-right: 0.5rem;
}